Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class FunctionalCompanion

    java.lang.Object
      |
      +--oracle.apps.cz.cio.FunctionalCompanion

All Implemented Interfaces:
  IFunctionalCompanion

Direct Known Subclasses:
  AutoFunctionalCompanion

Deprecated. this class is no longer necessary Base object on which user functional companions can be based.

public class FunctionalCompanion
extends java.lang.Object
implements IFunctionalCompanion

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Fields inherited from interface oracle.apps.cz.cio.IFunctionalCompanion
`FC_AFTER_SAVE, FC_ON_AUTO_CONFIGURE, FC_ON_GENERATE_OUTPUT, FC_ON_LOAD, FC_ON_NEW, FC_ON_RESTORE, FC_ON_SAVE, FC_ON_SUMMARY, FC_ON_VALIDATE, FC_POST_LOAD`

Constructor Summary
`FunctionalCompanion()` Deprecated.

Method Summary
`void` | `autoConfigure()` Deprecated. Does nothing.
`java.lang.String` | `generateOutput()` Deprecated. Does nothing.
`void` | `generateOutput(javax.servlet.http.HttpServletResponse response)` Deprecated. Does nothing.
`java.lang.String` | `getDescription()` Deprecated. Returns the description of the functional companion.
`int` | `getID()` Deprecated. Returns the database ID of the functional companion.
`java.lang.String` | `getName()` Deprecated. Returns the name of the functional companion.
`oracle.apps.cz.cio.IRuntimeNode` | `getRuntimeNode()` Deprecated. Returns the runtime node to which this functional is associated.
`void` | `initialize(oracle.apps.cz.cio.IRuntimeNode node, java.lang.String name, java.lang.String description, int id)` Deprecated. Saves the parameters in member variables.
`void` | `terminate()` Deprecated. Does nothing.
`java.lang.String` | `toString()` Deprecated.
`com.sun.java.util.collections.List` | `validate()` Deprecated. Does nothing.
`boolean` | `validateEligibleTarget(oracle.apps.cz.cio.Component target)` Deprecated. Does nothing.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Constructor Detail

### FunctionalCompanion

    public FunctionalCompanion()

  Deprecated.

Method Detail

### initialize

    public void initialize(oracle.apps.cz.cio.IRuntimeNode node,
                           java.lang.String name,
                           java.lang.String description,
                           int id)

  Deprecated.
  Saves the parameters in member variables.
  Specified by:
    `initialize` in interface `IFunctionalCompanion`

### autoConfigure

    public void autoConfigure()
                       throws LogicalException

  Deprecated.
  Does nothing.
  Specified by:
    `autoConfigure` in interface `IFunctionalCompanion`
    `LogicalException`

### validate

    public com.sun.java.util.collections.List validate()

  Deprecated.
  Does nothing.
  Specified by:
    `validate` in interface `IFunctionalCompanion`

### generateOutput

    public java.lang.String generateOutput()

  Deprecated.
  Does nothing. Returns null.
  Specified by:
    `generateOutput` in interface `IFunctionalCompanion`

### generateOutput

    public void generateOutput(javax.servlet.http.HttpServletResponse response)
                        throws java.io.IOException

  Deprecated.
  Does nothing.
  Specified by:
    `generateOutput` in interface `IFunctionalCompanion`
    `java.io.IOException`

### validateEligibleTarget

    public boolean validateEligibleTarget(oracle.apps.cz.cio.Component target)

  Deprecated.
  Does nothing. Returns true;
  Specified by:
    `validateEligibleTarget` in interface `IFunctionalCompanion`

### terminate

    public void terminate()

  Deprecated.
  Does nothing.
  Specified by:
    `terminate` in interface `IFunctionalCompanion`

### getRuntimeNode

    public oracle.apps.cz.cio.IRuntimeNode getRuntimeNode()

  Deprecated.
  Returns the runtime node to which this functional is associated.
  Specified by:
    `getRuntimeNode` in interface `IFunctionalCompanion`

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the name of the functional companion.
  Specified by:
    `getName` in interface `IFunctionalCompanion`

### getDescription

    public java.lang.String getDescription()

  Deprecated.
  Returns the description of the functional companion.
  Specified by:
    `getDescription` in interface `IFunctionalCompanion`

### getID

    public int getID()

  Deprecated.
  Returns the database ID of the functional companion.
  Specified by:
    `getID` in interface `IFunctionalCompanion`

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.